"""
This program has been developed by students from the bachelor Computer Science at Utrecht
University within the Software Project course.
© Copyright Utrecht University (Department of Information and Computing Sciences)
"""

from fastapi.routing import APIRouter

from control_backend.api.v1.endpoints import logs, message, program, robot, user_interact

api_router = APIRouter()

api_router.include_router(message.router, tags=["Messages"])

api_router.include_router(robot.router, prefix="/robot", tags=["Pings", "Commands"])

api_router.include_router(logs.router, tags=["Logs"])

api_router.include_router(program.router, tags=["Program"])

api_router.include_router(user_interact.router, tags=["Button Pressed Events"])
